%define name ndiswrapper
%define version 0.4
%define mdkrelease 1mdk
%define url http://prdownloads.sourceforge.net/ndiswrapper
%define release %{mdkrelease}
%define tarname %{name}-%{version}

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		System/Configuration/Hardware
URL:		%{url}
Source: 	%{url}/%{tarname}.tar.bz2
Prereq: 	/bin/sh, fileutils, hotplug
Requires: 	kernel
BuildRoot: 	%{_tmppath}/%{name}-%{version}-build
Summary: 	NdisWrapper binary loader utility

%description
Some vendors refuses to release specs or even a binary 
linux-driver for their WLAN cards. This project tries 
to solve this problem by making a kernel module that 
can load Ndis (windows network driver API) drivers. 
We're not trying to implement all of the Ndis API 
but rather implement the functions needed to get 
these unsupported cards working.

%prep
%setup -q -n %{name}

%build
pushd utils
%make 
popd

%install
mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
install -m755 $RPM_BUILD_DIR/%{name}/utils/loadndisdriver $RPM_BUILD_ROOT/%{_sbindir}/

%clean
rm -rf $RPM_BUILD_ROOT

%post 
/bin/echo "please download binary driver at http://ndiswrapper.sourceforge.net/supported_cards.html"

%files
%defattr(-,root,root) 
%doc README ChangeLog
%defattr(0755,root,root) 
/%{_sbindir}/loadndisdriver

%changelog
* Fri Mar 12 2004 Nicolas Planel <nplanel@mandrakesoft.com> 0.4-1mdk
- bump version to 0.4.

* Tue Dec 16 2003 Nicolas Planel <nplanel@mandrakesoft.com> 0.2-1mdk
- First version for MandrakeSoft.
